summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-05-18 16:43:21 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-05-18 16:43:21 +0000
commitcefa0588deae1051ce081c65361cc9043efe8bed (patch)
treecba8efd5be2075ec9421fd8158033348f29e0d9c /tcwg-benchmark.sh
parente8c1ed7e965eaf1571b45cb7d0a4a587ef2be8b1 (diff)
tcwg-benchmark.sh: Wait for ssh server on port from .ssh/config
Now that we are switching to using host containers for benchmarking we need to wait on port 2222 for some board and on port 22 for the others. Make "wait_for_ssh_server" treat empty port as default port specified in .ssh/config . Change-Id: I25ff733185ec13beb3011b1b6908ae0071261e1e
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index b360b5b7..29d4e2bb 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -313,7 +313,7 @@ while [ $tries_left != 0 ]; do
pdu_name=$(echo "${boardname%.tcwglab}" \
| sed -e 's/^tcwg-bmk-/tcwg-/')
nvidia-power-cycle.sh "$pdu_name"
- wait_for_ssh_server "$boardname" 22 100
+ wait_for_ssh_server "$boardname" "" 100
) &
wait $! || exit $EXTERNAL_FAIL
echo "Successfully powered-cycled $boardname"
@@ -326,7 +326,7 @@ while [ $tries_left != 0 ]; do
# Wait until the ssh server is ready
sleep 30 # Give time to the board to shutdown
ret=0
- wait_for_ssh_server $boardname 22 100 || ret=$?
+ wait_for_ssh_server "$boardname" "" 100 || ret=$?
if [ $ret != 0 ]; then
echo "SSH server did not respond after reboot, exiting."
exit $EXTERNAL_FAIL